org.eclipse.emf.compare.internal

## Class SubMatchIterator

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<E>
    - - org.eclipse.emf.common.util.AbstractEList<E>
      - - org.eclipse.emf.common.util.BasicEList<Iterator<? extends E>>
        - - org.eclipse.emf.common.util.AbstractTreeIterator<Match>
          - - org.eclipse.emf.compare.internal.SubMatchIterator

All Implemented Interfaces:
  Serializable, Cloneable, Iterable<Iterator<? extends Match>>, Collection<Iterator<? extends Match>>, Iterator<Match>, List<Iterator<? extends Match>>, RandomAccess, EList<Iterator<? extends Match>>, TreeIterator<Match>

    public class SubMatchIterator
    extends AbstractTreeIterator<Match>

A custom TreeIterator that will iterate over the Match->submatch tree.

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.emf.common.util.BasicEList

`BasicEList.BasicIndexOutOfBoundsException, BasicEList.EIterator<E1>, BasicEList.EListIterator<E1>, BasicEList.FastCompare<E>, BasicEList.NonResolvingEIterator<E1>, BasicEList.NonResolvingEListIterator<E1>, BasicEList.UnmodifiableEList<E>`

### Field Summary

### Fields inherited from class org.eclipse.emf.common.util.AbstractTreeIterator

`includeRoot, nextPruneIterator, nextRemoveIterator, object`

### Fields inherited from class org.eclipse.emf.common.util.BasicEList

`data, size`

### Fields inherited from class java.util.AbstractList

`modCount`

### Constructor Summary

Constructors
Constructor and Description
`SubMatchIterator(Match start)` Constructs an iterator given the root of its tree.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected Iterator<? extends Match>` `getChildren(Object obj)`

### Methods inherited from class org.eclipse.emf.common.util.AbstractTreeIterator

`hasNext, next, prune, remove`

### Methods inherited from class org.eclipse.emf.common.util.BasicEList

`addAllUnique, addAllUnique, addAllUnique, addAllUnique, addUnique, addUnique, assign, basicGet, basicList, clear, clone, contains, data, get, grow, indexOf, isEmpty, lastIndexOf, move, newData, primitiveGet, remove, setData, setUnique, shrink, size, toArray, toArray`

### Methods inherited from class org.eclipse.emf.common.util.AbstractEList

`add, add, addAll, addAll, basicIterator, basicListIterator, basicListIterator, canContainNull, didAdd, didChange, didClear, didMove, didRemove, didSet, equalObjects, equals, getDuplicates, getNonDuplicates, hashCode, isUnique, iterator, listIterator, listIterator, move, remove, removeAll, resolve, retainAll, set, toString, useEquals, validate`

### Methods inherited from class java.util.AbstractList

`removeRange, subList`

### Methods inherited from class java.util.AbstractCollection

`containsAll`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Iterator

`forEachRemaining`

### Methods inherited from interface java.util.List

`containsAll, replaceAll, sort, spliterator, subList`

### Methods inherited from interface java.util.Collection

`parallelStream, removeIf, stream`

### Methods inherited from interface java.lang.Iterable

`forEach`

### Constructor Detail

#### SubMatchIterator

    public SubMatchIterator(Match start)

Constructs an iterator given the root of its tree.

Parameters:
  `start` - Starting match of the tree we'll iterate over.

### Method Detail

#### getChildren

    protected Iterator<? extends Match> getChildren(Object obj)

Specified by:
  `getChildren` in class `AbstractTreeIterator<Match>`
See Also:
  `AbstractTreeIterator.getChildren(java.lang.Object)`